{
  "name": "@autoplex-service/webui",
  "version": "0.0.0",
  "keywords": [],
  "author": "David Ludwig",
  "license": "ISC",
  "main": "./dist/server/index.js",
  "scripts": {
    "clean": "rimraf ./dist",
    "build": "yarn run build:backend && yarn run build:frontend",
    "build:backend": "tsc -p ./tsconfig.server.json",
    "build:frontend": "vue-tsc --noEmit -p ./tsconfig.vite.json && vite build",
    "start": "NODE_ENV=production node .",
    "start:dev": "vite"
  },
  "dependencies": {
    "@autoplex-api/request": "^0.0.0",
    "@autoplex/restful": "^0.0.0",
    "@fortawesome/fontawesome-free": "^5.15.3",
    "fastify": "^3.14.1",
    "fastify-static": "^4.0.1",
    "jwt-decode": "^3.1.2",
    "validate.js": "^0.13.1",
    "vue": "^3.0.5",
    "vue-router": "^4.0.6",
    "vuedraggable": "^4.0.1",
    "vuex": "^4.0.0",
    "websocket": "^1.0.33"
  },
  "devDependencies": {
    "@types/node": "^15.0.1",
    "@vitejs/plugin-vue": "^1.2.1",
    "@vue/compiler-sfc": "^3.0.5",
    "autoprefixer": "^10.2.5",
    "postcss": "^8.2.9",
    "rimraf": "^3.0.2",
    "tailwindcss": "^2.1.1",
    "ts-node": "^9.1.1",
    "typescript": "^4.1.3",
    "vite": "^2.1.5",
    "vue-tsc": "^0.0.15"
  }
}
